net.minecraft.client.resources

## Class ResourcePackListEntry

- java.lang.Object
- - net.minecraft.client.resources.ResourcePackListEntry

- All Implemented Interfaces:
    GuiListExtended.IGuiListEntry
  Direct Known Subclasses:
    ResourcePackListEntryDefault, ResourcePackListEntryFound

      public abstract class ResourcePackListEntry
      extends java.lang.Object
      implements GuiListExtended.IGuiListEntry

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GuiScreenResourcePacks` | `field_148315_b`
    `protected Minecraft` | `field_148317_a`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourcePackListEntry(GuiScreenResourcePacks p_i45051_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawEntry(int p_148279_1_, int p_148279_2_, int p_148279_3_, int p_148279_4_, int p_148279_5_, Tessellator p_148279_6_, int p_148279_7_, int p_148279_8_, boolean p_148279_9_)`
    `protected boolean` | `func_148307_h()`
    `protected boolean` | `func_148308_f()`
    `protected boolean` | `func_148309_e()`
    `protected boolean` | `func_148310_d()`
    `protected abstract java.lang.String` | `func_148311_a()`
    `protected abstract java.lang.String` | `func_148312_b()`
    `protected abstract void` | `func_148313_c()`
    `protected boolean` | `func_148314_g()`
    `boolean` | `mousePressed(int p_148278_1_, int p_148278_2_, int p_148278_3_, int p_148278_4_, int p_148278_5_, int p_148278_6_)`
    `void` | `mouseReleased(int p_148277_1_, int p_148277_2_, int p_148277_3_, int p_148277_4_, int p_148277_5_, int p_148277_6_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_148317_a

          protected final Minecraft field_148317_a

    - #### field_148315_b

          protected final GuiScreenResourcePacks field_148315_b

  - ### Constructor Detail

    - #### ResourcePackListEntry

          public ResourcePackListEntry(GuiScreenResourcePacks p_i45051_1_)

  - ### Method Detail

    - #### drawEntry

          public void drawEntry(int p_148279_1_,
                       int p_148279_2_,
                       int p_148279_3_,
                       int p_148279_4_,
                       int p_148279_5_,
                       Tessellator p_148279_6_,
                       int p_148279_7_,
                       int p_148279_8_,
                       boolean p_148279_9_)

      Specified by:
        `drawEntry` in interface `GuiListExtended.IGuiListEntry`

    - #### func_148311_a

          protected abstract java.lang.String func_148311_a()

    - #### func_148312_b

          protected abstract java.lang.String func_148312_b()

    - #### func_148313_c

          protected abstract void func_148313_c()

    - #### func_148310_d

          protected boolean func_148310_d()

    - #### func_148309_e

          protected boolean func_148309_e()

    - #### func_148308_f

          protected boolean func_148308_f()

    - #### func_148314_g

          protected boolean func_148314_g()

    - #### func_148307_h

          protected boolean func_148307_h()

    - #### mousePressed

          public boolean mousePressed(int p_148278_1_,
                             int p_148278_2_,
                             int p_148278_3_,
                             int p_148278_4_,
                             int p_148278_5_,
                             int p_148278_6_)

      Specified by:
        `mousePressed` in interface `GuiListExtended.IGuiListEntry`

    - #### mouseReleased

          public void mouseReleased(int p_148277_1_,
                           int p_148277_2_,
                           int p_148277_3_,
                           int p_148277_4_,
                           int p_148277_5_,
                           int p_148277_6_)

      Specified by:
        `mouseReleased` in interface `GuiListExtended.IGuiListEntry`